Principal match
List principals with optional glob pattern and pagination via next. Each item includes principal (id), type (1 = application, 2 = user), and name.
{{host}}/v1/principal/match?next={{next}}&pattern={{pattern}}- nextnumberRequired
Pagination cursor (required): use `0` for the first page; thereafter use the value returned by the previous response as the `next` query parameter. The response body returns the cursor for the next page. A value of `-1` means there is no further page — you have the last page of data.
example: 0 - patternstringOptional
Optional glob-style pattern to filter.
Values
- pattern
- *pattern
- pattern*
- *pattern*
example: *
- x-api-keyRequired
Your BigState API key.
*provide api key here* - Content-TypeRequired
MIME type of the request body.
application/json - AcceptRequired
MIME types the client can understand in the response.
application/json
See authentication headers here.
- 200Response body · object
Success. Returns a pagination cursor and matching principals (id, type, name) for this page.
- nextnumber
Pagination cursor (required): use `0` for the first page; thereafter use the value returned by the previous response as the `next` query parameter. The response body returns the cursor for the next page. A value of `-1` means there is no further page — you have the last page of data.
example: 0 - principalsarray[object]
Principals that matched the pattern on this page.
- principals[0].principalstring
Unique identifier of this principal.
example: tram_client - principals[0].typenumber
Principal kind: application (integration) or user.
Values
- 1 — application
- 2 — user
- principals[0].namestring
Human-readable name for this principal.
- 401
Unauthorized.
- 403
Access denied. The caller does not have sufficient rights to perform this operation.
- 400Response body · object
Bad request.
{"error": 6,"desc": "Invalid request"}- errornumber
Numeric error code. See the error codes reference for the full list.
- descstring
Human-readable description of the error.
Match principals
List principals with optional glob pattern (paginated with `next`).
curl https://api.bigstate.dev/v1/principal/match?next=0&pattern=* \
--header 'x-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json'